## edu.cwru.SimpleRTS.model.resource
Class Resource

    java.lang.Object
      edu.cwru.SimpleRTS.model.Target
          edu.cwru.SimpleRTS.model.resource.Resource

    public class Resource

extends Target

Nested Class Summary
`static class` `Resource.Type`

Constructor Summary
`Resource(Resource.Type type, int xPosition, int yPosition, int initialAmount)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`int` `getAmountRemaining()`
`int` `getID()`
`Resource.Type` `getType()`
`int` `getxPosition()`
`int` `getyPosition()`
`int` `hashCode()`
`void` `setAmountRemaining(int amount)`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Resource

    public Resource(Resource.Type type,
                    int xPosition,
                    int yPosition,
                    int initialAmount)

Method Detail

### getType

    public Resource.Type getType()

### getxPosition

    public int getxPosition()

### getyPosition

    public int getyPosition()

### getID

    public int getID()

### getAmountRemaining

    public int getAmountRemaining()

### setAmountRemaining

    public void setAmountRemaining(int amount)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`